classification
Title: use _sysconfigdata to itinialize distutils.sysconfig
Type: enhancement Stage: patch review
Components: Distutils Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, barry, doko, dstufft, eric.araujo, haubi, python-dev
Priority: normal Keywords: patch

Created on 2014-04-16 22:12 by doko, last changed 2017-01-24 00:49 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
distutils-init.diff doko, 2014-04-16 22:12
Messages (7)
msg216609 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2014-04-16 22:12
distutils/sysconfig still parses the Makefile and config header; it should use the same approach now as the toplevel sysconfig module.
msg216645 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2014-04-17 02:49
On Apr 16, 2014, at 10:12 PM, Matthias Klose wrote:

>
>distutils/sysconfig still parses the Makefile and config header; it should
>use the same approach now as the toplevel sysconfig module.

Why do we still have two sysconfig modules?
msg216658 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-04-17 05:45
Because removing distutils.sysconfig would break things.
msg216751 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2014-04-17 21:39
Maybe distutils.sysconfig could become a small wrapper around sysconfig?
msg216754 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-04-17 21:47
Sure.  The API is slightly different, but the data should be the same, so this can be done.
msg216756 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-04-17 21:49
doko’s patch is actually conservative, not changing the query functions of distutils.sysconfig but only the _init_posix function, which just defines a global dict.  It looks quite safe to me.
msg267343 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-04 23:18
New changeset 3fa8aebed636 by doko in branch 'default':
- Issue #21272: Use _sysconfigdata.py to initialize distutils.sysconfig.
https://hg.python.org/cpython/rev/3fa8aebed636
History
Date User Action Args
2017-01-24 00:49:45martin.pantersetversions: + Python 3.6, - Python 3.5
2016-06-04 23:18:23dokosetstatus: open -> closed
resolution: fixed
2016-06-04 23:18:05python-devsetnosy: + python-dev
messages: + msg267343
2014-06-03 08:13:57haubisetnosy: + haubi
2014-04-17 21:49:20eric.araujosetmessages: + msg216756
2014-04-17 21:47:04eric.araujosetmessages: + msg216754
components: + Distutils, - Library (Lib)
title: use _sysconfigdata.py in distutils.sysconfig to initialize distutils.sysconfig -> use _sysconfigdata to itinialize distutils.sysconfig
2014-04-17 21:39:03Arfreversetnosy: + Arfrever
messages: + msg216751
2014-04-17 05:45:54eric.araujosetmessages: + msg216658
2014-04-17 02:49:37barrysetnosy: + barry

messages: + msg216645
title: use _sysconfigdata.py in distutils.sysconfig to initialize distutils.sysconfig -> use _sysconfigdata.py in distutils.sysconfig to initialize distutils.sysconfig
2014-04-17 00:32:31pitrousetnosy: + eric.araujo, dstufft

type: enhancement
stage: patch review
2014-04-16 22:12:08dokocreate